﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TestVisualStudio2010
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitializeChart();
        }
        private Steema.TeeChart.Styles.FastLine Series1;
        private Steema.TeeChart.Styles.Bar Series2;
        private Steema.TeeChart.Functions.HistogramFunction hist;
        private void InitializeChart()
        {
            tChart1.Aspect.View3D = false;
            Series1 = new Steema.TeeChart.Styles.FastLine(tChart1.Chart);
            Series2 = new Steema.TeeChart.Styles.Bar(tChart1.Chart);
            hist = new Steema.TeeChart.Functions.HistogramFunction(tChart1.Chart);

           //Read Text File
            Steema.TeeChart.Data.TextSource ts = new Steema.TeeChart.Data.TextSource(@"J:\Sandra\Projects\TestVisualStudio2010\TestVisualStudio2010\SignalData.txt");
           ts.HeaderLines = 1;
           ts.DecimalSeparator = '.';
           ts.Separator = ' ';
           ts.Fields.Add(0, "Y");
         
           //Assign Text File to Series1;
           Series1.DataSource = ts;
           Series1.XValues.DataMember = "X";
           Series1.YValues.DataMember = "Y";
       //    Series1.XValues.Order = Steema.TeeChart.Styles.ValueListOrder.Ascending;

         //Apply Histogram function to Series1 
           Series2.Marks.Visible = false;
           Series2.DataSource = Series1;
           Series2.Function = hist;
           hist.Period = 20;
           hist.NumBins = 50;
           hist.Recalculate();
           Series1.Active = false;
           this.Text = Series1.Count.ToString();
           tChart1.DoubleClick += new EventHandler(tChart1_DoubleClick);
        
        }

        void tChart1_DoubleClick(object sender, EventArgs e)
        {
            tChart1.ShowEditor();
        }
    }
}
